Bug 1157714 - VUL-0: haproxy: Crash by sending HEADER frames in idle streas
VUL-0: haproxy: Crash by sending HEADER frames in idle streas
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: SUSE Linux Enterprise High Availability Team
Security Team bot
https://smash.suse.de/issue/247891/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-25 15:33 UTC by Johannes Segitz
Modified: 2021-04-19 09:25 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Upstream patches (80.00 KB, application/x-tar)
2019-11-25 15:33 UTC, Johannes Segitz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Segitz 2019-11-25 15:33:56 UTC
Created attachment 824913 [details]
Upstream patches

Extracted from a larger report:

Second, Christopher found from a bug report that we don't reject HEADERS
frames on idle streams in H2 responses (which sadly are permitted by the
H2 spec, and that I'm going to report separately). The effect there is
that when trying to decode such a response we don't have any stream
allocated since this transition should not be possible, and haproxy
crashes. It's much less likely to be used to construct an attack, however
it seems that some bogus servers mix up their stream IDs in response and
can occasionally trigger the condition, as reported in issue #373.

Should become public this evening, setting CRD to tomorrow
CRD: 2019-11-26
Comment 3 Swamp Workflow Management 2019-11-29 20:12:26 UTC
SUSE-SU-2019:3126-1: An update that solves one vulnerability and has three fixes is now available.

Category: security (important)
Bug References: 1082318,1154980,1157712,1157714
CVE References: CVE-2019-18277
Sources used:
SUSE Linux Enterprise High Availability 15-SP1 (src):    haproxy-2.0.10+git0.ac198b92-8.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 4 Swamp Workflow Management 2019-11-29 20:13:32 UTC
SUSE-SU-2019:3125-1: An update that solves one vulnerability and has three fixes is now available.

Category: security (important)
Bug References: 1082318,1154980,1157712,1157714
CVE References: CVE-2019-18277
Sources used:
SUSE Linux Enterprise High Availability 15 (src):    haproxy-2.0.10+git0.ac198b92-3.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2019-12-03 23:15:38 UTC
openSUSE-SU-2019:2626-1: An update that solves one vulnerability and has three fixes is now available.

Category: security (important)
Bug References: 1082318,1154980,1157712,1157714
CVE References: CVE-2019-18277
Sources used:
openSUSE Leap 15.0 (src):    haproxy-2.0.10+git0.ac198b92-lp150.2.16.1
Comment 6 Swamp Workflow Management 2019-12-04 23:15:40 UTC
openSUSE-SU-2019:2645-1: An update that solves one vulnerability and has three fixes is now available.

Category: security (important)
Bug References: 1082318,1154980,1157712,1157714
CVE References: CVE-2019-18277
Sources used:
openSUSE Leap 15.1 (src):    haproxy-2.0.10+git0.ac198b92-lp151.2.6.1
Comment 7 Dario Maiocchi 2020-10-18 19:26:36 UTC
fixed closing